# H460_FeatureStd19 Class Reference

`#include <h460_std18.h>`

Inheritance diagram for H460_FeatureStd19:

[legend]
Collaboration diagram for H460_FeatureStd19:
[legend]

## Public Member Functions

| H460_FeatureStd19 ()
virtual | ~H460_FeatureStd19 ()
virtual void | AttachEndPoint (H323EndPoint *_ep)
virtual void | AttachConnection (H323Connection *_con)
virtual PBoolean | CommonFeature ()
virtual PBoolean | OnSendSetup_UUIE (H225_FeatureDescriptor &pdu)
virtual void | OnReceiveSetup_UUIE (const H225_FeatureDescriptor &pdu)
virtual PBoolean | OnSendCallProceeding_UUIE (H225_FeatureDescriptor &pdu)
virtual void | OnReceiveCallProceeding_UUIE (const H225_FeatureDescriptor &pdu)
virtual PBoolean | OnSendFacility_UUIE (H225_FeatureDescriptor &pdu)
virtual PBoolean | OnSendAlerting_UUIE (H225_FeatureDescriptor &pdu)
virtual void | OnReceiveAlerting_UUIE (const H225_FeatureDescriptor &pdu)
virtual PBoolean | OnSendCallConnect_UUIE (H225_FeatureDescriptor &pdu)
virtual void | OnReceiveCallConnect_UUIE (const H225_FeatureDescriptor &pdu)
void | SetAvailable (bool avail)

## Static Public Member Functions

static PStringArray | GetFeatureName ()
static PStringArray | GetFeatureFriendlyName ()
static int | GetPurpose ()
static PStringArray | GetIdentifier ()

## Constructor & Destructor Documentation

H460_FeatureStd19::H460_FeatureStd19 | ( |  | ) |

virtual H460_FeatureStd19::~H460_FeatureStd19 | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void H460_FeatureStd19::AttachConnection | ( | H323Connection * | _con | ) | `[virtual]`

Attach the connection object, Override this to link to your own Connection Instance

Reimplemented from H460_Feature.

virtual void H460_FeatureStd19::AttachEndPoint | ( | H323EndPoint * | _ep | ) | `[virtual]`

Attach the endpoint. Override this to link your own Endpoint Instance.

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd19::CommonFeature | ( |  | ) | `[inline, virtual]`

static PStringArray H460_FeatureStd19::GetFeatureFriendlyName | ( |  | ) | `[inline, static]`

Get Feature Friendly Name This usually the user friendly description

Reimplemented from H460_Feature.

static PStringArray H460_FeatureStd19::GetFeatureName | ( |  | ) | `[inline, static]`

Get Feature Name. This is usually the Derived Class Name

Reimplemented from H460_Feature.

static PStringArray H460_FeatureStd19::GetIdentifier | ( |  | ) | `[inline, static]`

static int H460_FeatureStd19::GetPurpose | ( |  | ) | `[inline, static]`

Get the purpose of the the Feature whether for Signalling,RAS or both. This determines when the class is instantized

Reimplemented from H460_Feature.

virtual void H460_FeatureStd19::OnReceiveAlerting_UUIE | ( | const H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual void H460_FeatureStd19::OnReceiveCallConnect_UUIE | ( | const H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual void H460_FeatureStd19::OnReceiveCallProceeding_UUIE | ( | const H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual void H460_FeatureStd19::OnReceiveSetup_UUIE | ( | const H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd19::OnSendAlerting_UUIE | ( | H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd19::OnSendCallConnect_UUIE | ( | H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd19::OnSendCallProceeding_UUIE | ( | H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd19::OnSendFacility_UUIE | ( | H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd19::OnSendSetup_UUIE | ( | H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

void H460_FeatureStd19::SetAvailable | ( | bool | avail | ) |

The documentation for this class was generated from the following file:

- h460_std18.h